/*
 * VUerfundecl.h
 * VUer routine declarations
 *
 */

#ifndef VUERFUNDECL_H
#define VUERFUNDECL_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "dvinteract.h"
#include "std.h"
#include "dvstd.h"
#include "VOstd.h"
#include "dvtools.h"
#include "dvGR.h"


/***
*** 
***/




/* VU/VUer.c */
EVENT_REQUEST VUerRectEdgePost V_P_((OBJECT Client,  VUERFCNFUNPTR FcnPtr,
	 ADDRESS Args,  int ArgSize,  RECTANGLE *BndingRect,  BOOLPARAM InOut,
	 char *KeyStr,  int Label));
EVENT_REQUEST VUerObjectEdgePost V_P_((OBJECT Client,  VUERFCNFUNPTR FcnPtr,
	 ADDRESS Args,  int ArgSize,  OBJECT EdgeObject,  OBJECT XformObject,
	 BOOLPARAM InOut,  char *KeyStr,  int Label));
EVENT_REQUEST VUerServiceResultPost V_P_((OBJECT Client,
	 VUERFCNFUNPTR FcnPtr,  ADDRESS Args,  int ArgSize,  OBJECT MonitoredObject,
	 int Result,  int Label));
BOOLPARAM VUerIsActive V_P_((EVENT_REQUEST erp));
void VUerActivate V_P_((EVENT_REQUEST erp));
void VUerActivateClient V_P_((OBJECT Client));
void VUerDeactivate V_P_((EVENT_REQUEST erp));
void VUerDeactivateClient V_P_((OBJECT Client));
void VUerClearAll V_P_((OBJECT Client));
void VUerClearAllForMonClient V_P_((OBJECT MonitoredClient));
void VUerHandler V_P_((int TermFlag,  VUERFCNFUNPTR TermFcn,  ADDRESS Args,
		       OBJECT *Loc,  int *TermCond));
int VUerHandleLocEvent V_P_((OBJECT LocObject));
void VUerListAll V_P_((void));
void VUerPutKeys V_P_((int KeyType, char *Keys));
char *VUerGetKeys V_P_((int KeyType));
void VUerPutSelectKeys V_P_((char *Keys));
char *VUerGetSelectKeys V_P_((void));
void VUerPutCancelKeys V_P_((char *Keys));
char *VUerGetCancelKeys V_P_((void));
EVENT_REQUEST VUerBoundaryEventPost V_P_((OBJECT Client,
	 VUERFCNFUNPTR FcnPtr,  ADDRESS Args,  int ArgSize,  int Label,
	 ULONG compound_event_type,  ...));
EVENT_REQUEST VUerWinEventPost V_P_((OBJECT Client,  VUERFCNFUNPTR FcnPtr,
	 ADDRESS Args,  int ArgSize,  int Label,  ULONG win_event_type));
EVENT_REQUEST VUerCatchAllEventPost V_P_((OBJECT Client,
	 VUERFCNFUNPTR FcnPtr,  ADDRESS Args,  int ArgSize,  int Label));
int VUerHandleWinEvent V_P_((OBJECT lo, WINEVENT *we));
void VUerResetWidgetResult V_P_((void));
int VUerGetWidgetResult V_P_((OBJECT *object));
void VUerSetWidgetResult V_P_((OBJECT input, int result));
EVENT_REQUEST VUerRectEdgeDpPost V_P_((OBJECT Client,  VUERFCNFUNPTR FcnPtr,
	 ADDRESS Args,  int ArgSize,  RECTANGLE *BndingRect,  BOOLPARAM InOut,
	 char *KeyStr,  int Label,  DRAWPORT vp,  RECTANGLE *cliprect));
EVENT_REQUEST VUerObjectEdgeDpPost V_P_((OBJECT Client,
	 VUERFCNFUNPTR FcnPtr,  ADDRESS Args,  int ArgSize,  OBJECT EdgeObject,
	 OBJECT XformObject,  BOOLPARAM InOut,  char *KeyStr,  int Label,
	 DRAWPORT vp,  RECTANGLE *cliprect));
EVENT_REQUEST VUerBoundaryEventDpPost V_P_((OBJECT Client,
	 VUERFCNFUNPTR FcnPtr,  ADDRESS Args,  int ArgSize,  int Label,
	 ULONG compound_event_type,  ...));


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* VUERFUNDECL_H */
